## WebKitWebDatabase

WebKitWebDatabase — A WebKit web application database

## Functions

const gchar * | webkit_web_database_get_display_name ()
guint64 | webkit_web_database_get_expected_size ()
const gchar * | webkit_web_database_get_filename ()
const gchar * | webkit_web_database_get_name ()
WebKitSecurityOrigin * | webkit_web_database_get_security_origin ()
guint64 | webkit_web_database_get_size ()
void | webkit_web_database_remove ()

## Properties

gchar * | display-name | Read
guint64 | expected-size | Read
gchar * | filename | Read
gchar * | name | Read / Write / Construct Only
WebKitSecurityOrigin * | security-origin | Read / Write / Construct Only
guint64 | size | Read

## Types and Values

| WebKitWebDatabase

## Object Hierarchy

        GObject
        ╰── WebKitWebDatabase

## Description

WebKitWebDatabase is a representation of a Web Database database. The proposed Web Database standard introduces support for SQL databases that web sites can create and access on a local computer through JavaScript.

To get access to all databases defined by a security origin, use webkit_security_origin_get_databases. Each database has a canonical name, as well as a user-friendly display name.

WebKit uses SQLite to create and access the local SQL databases. The location of a WebKitWebDatabase can be accessed wth webkit_web_database_get_filename. You can configure the location of all databases with webkit_set_database_directory_path.

For each database the web site can define an estimated size which can be accessed with webkit_web_database_get_expected_size. The current size of the database in bytes is returned by webkit_web_database_get_size.

For more information refer to the Web Database specification proposal at http://dev.w3.org/html5/webdatabase

## Functions

### webkit_web_database_get_display_name ()

    const gchar *
    webkit_web_database_get_display_name (WebKitWebDatabase *webDatabase);

Returns the name of the WebKitWebDatabase as seen by the user.

#### Parameters

webDatabase | a WebKitWebDatabase |

#### Returns

the name of the database as seen by the user.

Since: 1.1.14

### webkit_web_database_get_expected_size ()

    guint64
    webkit_web_database_get_expected_size (WebKitWebDatabase *webDatabase);

Returns the expected size of the WebKitWebDatabase in bytes as defined by the web author. The Web Database standard allows web authors to specify an expected size of the database to optimize the user experience.

#### Parameters

webDatabase | a WebKitWebDatabase |

#### Returns

the expected size of the database in bytes

Since: 1.1.14

### webkit_web_database_get_filename ()

    const gchar *
    webkit_web_database_get_filename (WebKitWebDatabase *webDatabase);

Returns the absolute filename to the WebKitWebDatabase file on disk.

#### Parameters

webDatabase | a WebKitWebDatabase |

#### Returns

the absolute filename of the database

Since: 1.1.14

### webkit_web_database_get_name ()

    const gchar *
    webkit_web_database_get_name (WebKitWebDatabase *webDatabase);

Returns the canonical name of the WebKitWebDatabase.

#### Parameters

webDatabase | a WebKitWebDatabase |

#### Returns

the name of the database

Since: 1.1.14

### webkit_web_database_get_security_origin ()

    WebKitSecurityOrigin *
    webkit_web_database_get_security_origin
                                   (WebKitWebDatabase *webDatabase);

Returns the security origin of the WebKitWebDatabase.

#### Parameters

webDatabase | a WebKitWebDatabase |

#### Returns

the security origin of the database.

[transfer none]

Since: 1.1.14

### webkit_web_database_get_size ()

    guint64
    webkit_web_database_get_size (WebKitWebDatabase *webDatabase);

Returns the actual size of the WebKitWebDatabase space on disk in bytes.

#### Parameters

webDatabase | a WebKitWebDatabase |

#### Returns

the actual size of the database in bytes

Since: 1.1.14

### webkit_web_database_remove ()

    void
    webkit_web_database_remove (WebKitWebDatabase *webDatabase);

Removes the WebKitWebDatabase from its security origin and destroys all data stored in the database.

#### Parameters

webDatabase | a WebKitWebDatabase |

Since: 1.1.14

## Types and Values

### WebKitWebDatabase

    typedef struct _WebKitWebDatabase WebKitWebDatabase;

## Property Details

### The `“display-name”` property

      “display-name”             gchar *

The display name of the Web Database database.

Flags: Read

Default value: NULL

Since: 1.1.14

### The `“expected-size”` property

      “expected-size”            guint64

The expected size of the database in bytes as defined by the web author.

Flags: Read

Default value: 0

Since: 1.1.14

### The `“filename”` property

      “filename”                 gchar *

The absolute filename of the Web Database database.

Flags: Read

Default value: NULL

Since: 1.1.14

### The `“name”` property

      “name”                     gchar *

The name of the Web Database database.

Flags: Read / Write / Construct Only

Default value: NULL

Since: 1.1.14

### The `“security-origin”` property

      “security-origin”          WebKitSecurityOrigin *

The security origin of the database.

Flags: Read / Write / Construct Only

Since: 1.1.14

### The `“size”` property

      “size”                     guint64

The current size of the database in bytes.

Flags: Read

Default value: 0

Since: 1.1.14